--  Copyright (2008-2013) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

package body Nomo.Interpreter.External_Messages.Conclusions is

   function Get_Address (This : in External_Message) return System.Address is
   begin
      return This'Address;
   end Get_Address;

   package body Initialization is

      procedure Set_External_Conclusion (This   : out External_Message;
                                         Rule_Storage : in External_Message;
                                         Size   : in Component_Index) is
      begin
         This (1 .. Size) := Rule_Storage (1 .. Size);
      end Set_External_Conclusion;

   end Initialization;

end Nomo.Interpreter.External_Messages.Conclusions;
